import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class ereaderComponent {
    bookpath: string;
    bookid: string;
    slug: string;
    layout: string;
    booktitle: string;
    config: any;
    ereaderbasepath: string;
    _ereader_layout: {
        "fixed_epub": string;
        "page_faithful_epub": string;
        "reflowable_epub": string;
        "html_format": string;
        "cdn_png": string;
        "local_png": string;
    };
    _resourceList: {
        icons: any[];
        styles: string[];
        scripts: string[];
    };
    bookDetailsToEreader: any;
    onBookmarkSave: EventEmitter;
    onBookmarkDelete: EventEmitter;
    onSearchData: EventEmitter;
    onCloseReader: EventEmitter;
    loadBookmarkData: EventEmitter;
    loadThumbnailData: EventEmitter;
    componentWillLoad(): void;
    componentDidLoad(): void;
    renderEreader(): void;
    render(): JSX.Element;
}
